Get Network References
Retrieve references to a specific network.
Retrieve references to a specific network.
Authorization
ApiKey UniFi API key. Create one under Control Plane → Admins & Users → your admin → Create API Key (requires controller 9.0.114+).
In: header
Path Parameters
Response Body
application/json
curl -X GET "https://example.com/v1/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08/networks/497f6eca-6276-4993-bfeb-53cbbbba6f08/references"{ "referenceResources": [ { "resourceType": "CLIENT", "referenceCount": 1, "references": [ { "referenceId": "8502eb05-558d-4480-8511-c1011710b340" } ] } ]}Get Network Details GET
Retrieve detailed information about a specific network.
List Networks GET
Retrieve a paginated list of all Networks on a site. <details> <summary>Filterable properties (click to expand)</summary> |Name|Type|Allowed functions| |-|-|-| |`management`|`STRING`|`eq` `ne` `in` `notIn`| |`id`|`UUID`|`eq` `ne` `in` `notIn`| |`name`|`STRING`|`eq` `ne` `in` `notIn` `like`| |`enabled`|`BOOLEAN`|`eq` `ne`| |`vlanId`|`INTEGER`|`eq` `ne` `gt` `ge` `lt` `le` `in` `notIn`| |`deviceId`|`UUID`|`eq` `ne` `in` `notIn` `isNull` `isNotNull`| |`metadata.origin`|`STRING`|`eq` `ne` `in` `notIn`| </details>